FreeMat

- Main Page
- Related Pages

vtkTreeMapView

Section: Visualization Toolkit View Classes

# Usage

vtkTreeMapView shows a vtkTree in a tree map, where each vertex in the tree is represented by a box. Child boxes are contained within the parent box, and may be colored and sized by various parameters.

To create an instance of class vtkTreeMapView, simply invoke its constructor as follows

      obj = vtkTreeMapView

# Methods

The class vtkTreeMapView has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkTreeMapView class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkTreeMapView = obj.NewInstance ()`
- `vtkTreeMapView = obj.SafeDownCast (vtkObject o)`
- `obj.SetLayoutStrategy (vtkAreaLayoutStrategy s)` - Sets the treemap layout strategy
- `obj.SetLayoutStrategy (string name)` - Sets the treemap layout strategy
- `obj.SetLayoutStrategyToBox ()` - Sets the treemap layout strategy
- `obj.SetLayoutStrategyToSliceAndDice ()` - Sets the treemap layout strategy
- `obj.SetLayoutStrategyToSquarify ()` - Sets the treemap layout strategy
- `obj.SetFontSizeRange (int maxSize, int minSize, int delta)` - The sizes of the fonts used for labeling.
- `obj.GetFontSizeRange (int range[3])` - The sizes of the fonts used for labeling.